<?php 
require_once('getmovieinfo.php');

function get_screening_info($conn, int $screeningid)
{
    $getscreening_q = $conn->prepare('SELECT * FROM `screenings` WHERE `screenings`.`id` = ?');
    $getscreening_q->bind_param('i', $screeningid);
    $getscreening_q->execute();
    $getscreening_r = $getscreening_q->get_result()
        or die("Nie udało się pobrać listy filmów!");

    $info = mysqli_fetch_assoc($getscreening_r);

    $info["movieinfo"] = get_movie_info($conn, $info["movieid"]);

    return $info;
}
?>