<?php 
    function get_screenings($conn, int $movieid) {
        $getscr_q = $conn->prepare("SELECT * FROM `screenings` WHERE `screenings`.`movieid` = ?");
        $getscr_q->bind_param('i', $movieid);
        $getscr_q->execute();
        $getscr_r = $getscr_q->get_result();

        $html = "";
        $date_c = time();

        while($screening = mysqli_fetch_row($getscr_r)) {
            $date_f = strtotime($screening[2]);
            if($date_f < $date_c) continue;
            $html .= "
            <a href='/buyticket.php?sid=".$screening[0]."' class='screening'>
                <b>".date("d.m", $date_f)."</b><br>
                ".substr($screening[3], 0, -3)."
            </a>
            ";
        }

        return $html;
    }
?>