<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Film</title>
</head>
<body>
    <?php include("header.php"); ?>
    <div class="moviepage">
        <?php 
        require_once("db.php");
        require_once("getmovieinfo.php");
        require_once("getscreenings.php");

        $movieid = intval($_GET['id'] ?? 0);

        $movieinfo = get_movie_info($conn, $movieid);

        if(isset($movieinfo["id"])) {
            echo("<h1>[ [ [ ".$movieinfo["title"]." ] ] ]</h1>
            <div class='posteranddsc'>
                <img src='/images/movies/".$movieinfo["imgsrc"]."' alt='".$movieinfo["title"]."' class='movieposter'>
                <div>
                    <b>Rok produkcji:</b> ".$movieinfo["year"]."<br>
                    <b>Reżyser:</b> ".$movieinfo["directors"]."<br>
                    <br><br>
                    <b>Kup bilet:</b><br>
                    <div class='screeningslist'>
                    ".get_screenings($conn, $movieid)."
                    </div>
                </div>
            </div>
            ");
        }
        else
        {
            echo("Film o podanym id nie istnieje!");
        }
        ?>
    </div>
    
    
</body>
</html>