<?php 
    $scr_mindate = strtotime($_GET["mindate"] ?? "now");
    $scr_maxdate = strtotime($_GET["maxdate"] ?? "+1 month");
    $scr_minhour = 10;
    $scr_hoursbetween = 2.5;
    $scr_moviesperday = 6;
    $scr_dayscount = floor(($scr_maxdate - $scr_mindate)/(3600*24)) + 1;
    $scr_count = $scr_dayscount*$scr_moviesperday;

    if(!isset($_GET["confirm"])) 
    { 
        die("<form method='get'>
        <label for='mindate'>Początkowa data: </label>
        <input type='date' name='mindate' id='mindate' value='".date("Y-m-d", $scr_mindate)."'><br>
        <label for='maxdate'>Końcowa data: </label>
        <input type='date' name='maxdate' id='maxdate' value='".date("Y-m-d", $scr_maxdate)."'><br>
        Codziennie od godziny ".$scr_minhour." po ".$scr_moviesperday." filmów(y) co ".$scr_hoursbetween." h<br><br>
        <input type='submit' name='confirm' value='Potwierdź'>
    </form>
    lub<br><br>
    <form method='get'>
        <input type='hidden' name='deleteall'>
        <input type='submit' name='confirm' value='Usuń wszystkie'>
    </form>
    "); 
    }

    require_once("../db.php");

    if(isset($_GET['deleteall'])) {
        echo('Usuwanie wszystkich seansów<br><br>');
        $deleteall_q = "DELETE FROM `cinema`.`screenings`";
        mysqli_query($conn, $deleteall_q);
        echo('Usunięto! (o ile brak błędów)');
        die();
    }

    if ($scr_mindate === false || $scr_maxdate === false) {
        echo($scr_mindate . " - " . $scr_maxdate . "<br>");
        die("Podano niewłaściwy zakres dat");
    }

    echo("Wybrany zakres dat: " . date("Y-m-d", $scr_mindate) . " - " . date("Y-m-d", $scr_maxdate) . "<br><br>");

    $getmovies_q = "SELECT `movies`.`id` FROM `movies`";
    $getmovies_r = mysqli_query($conn, $getmovies_q) 
        or die("Nie udało się pobrać listy filmów!");

    $getmovies_ids = [];

    while($id = mysqli_fetch_row($getmovies_r)) {
        array_push($getmovies_ids, $id[0]);
    }

    echo("Generowanie ".$scr_count." seansów dla ".count($getmovies_ids)." filmów przez ".$scr_dayscount." dni,<br>");
    echo("codziennie od godziny ".$scr_minhour." po ".$scr_moviesperday." filmów(y) co ".$scr_hoursbetween." h!<br><br>");

    $scr_times = [];

    echo("Godziny seansów:<br>");

    for($i = 0; $i < $scr_moviesperday; $i++) {
        $time = ($scr_minhour + $i * $scr_hoursbetween) * 3600;
        array_push($scr_times, $time);
        echo(gmdate("G:i:s", $time)."<br>");
    }

    echo("<br>Dodane seansy:<br>");
    
    for($day = 0; $day < $scr_dayscount; $day++) {
        $date = date("Y-m-d", $scr_mindate + $day * 24 * 3600);

        for($i = 0; $i < $scr_moviesperday; $i++) {
            $time = gmdate("G:i:s", $scr_times[$i]);
            $movieid = $getmovies_ids[rand(0, count($getmovies_ids) - 1)];
            echo($date . " " . $time . " - film nr. " . $movieid . "<br>");
            $scr_q = "INSERT INTO `screenings` (`movieid`, `date`, `time`) VALUES ('".$movieid."', '".$date."', '".$time."')";
            mysqli_query($conn, $scr_q);
        }
    }

    echo("<br>Wykonano! (o ile brak błędów)<br>");
?>