<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Logowanie</title>
</head>
<body>
    <?php include("header.php"); ?>
    <?php 
        if(isset($_POST['login'])) {
            require_once("db.php");

            $passhash = hash('sha256', $_POST['password'] ?? '');
            $username = $_POST['login'];

            $users_q = $conn->prepare("SELECT `id` FROM `users` WHERE `users`.`username` = ? AND `users`.`password` = ?");
            $users_q->bind_param('ss', $username, $passhash);
            $users_q->execute();
            $users_r = $users_q->get_result()
                or die("Nie udało się zalogować!");

            $userid = mysqli_fetch_assoc($users_r);

            if($userid == NULL) {
                header("Location: /login.php?wrong");
                die();
            }

            session_start();
            $_SESSION['userid'] = $userid['id'];
            $_SESSION['username'] = $username;
            header("Location: /");
            die();
        }
    ?>
    <div class="loginpage">
        <div id="loginfield">
            <form method="post">
                <span><?php echo( (isset($_GET['wrong']) ? 'Niepoprawne hasło!' : '&nbsp;') ) ?></span>
                <table>
                    <tr>
                        <td><label for="login">Login: </label></td>
                        <td><input type="text" id="login" name="login" required></td>
                    </tr>
                    <tr>
                        <td><label for="password">Hasło: </label></td>
                        <td><input type="password" name="password" id="password" required></td>
                    </tr>
                </table><br>
                Nie masz konta? <a href="/register.php">Zarejestruj się</a>.
                <input type="submit" value="Zaloguj" class="widesubmit">
            </form>
        </div>
    </div>
    
    
</body>
</html>