<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Rejestracja</title>
</head>
<body>
    <?php include("header.php"); ?>
    <?php 
        if(isset($_POST['login'])) {
            require_once("db.php");

            if($_POST['password'] != $_POST['repassword']) {
                header("Location: /register.php?wrong");
                die();
            }
            
            $passhash = hash('sha256', $_POST['password'] ?? '');
            $username = $_POST['login'] ?? '';
            $phone = $_POST['phone'] ?? 0;

            $reg_q = $conn->prepare("INSERT INTO `users` (`id`, `username`, `password`, `phone`) VALUES (NULL, ?, ?, ?)");
            $reg_q->bind_param('ssi', $username, $passhash, $phone);

            try {
                $reg_q->execute();
            } catch (mysqli_sql_exception $e) {
                header("Location: /register.php?dupl");
                die();
            }

            header("Location: /login.php");
            die();
        }
    ?>
    <div class="loginpage">
        <div id="loginfield">
            <form method="post">
                <span><?php echo( (isset($_GET['wrong']) ? 'Hasła się nie zgadzają!' : (isset($_GET['dupl']) ? 'Użytkownik już istnieje!' : '&nbsp;')) ) ?></span>
                <table>
                    <tr>
                        <td><label for="login">Login: </label></td>
                        <td><input type="text" id="login" name="login" required></td>
                    </tr>
                    <tr>
                        <td><label for="phone">Nr. tel: </label></td>
                        <td><input type="number" id="phone" name="phone" required></td>
                    </tr>
                    <tr>
                        <td><label for="password">Hasło: </label></td>
                        <td><input type="password" name="password" id="password" required></td>
                    </tr>
                    <tr>
                        <td><label for="repassword">Powtórz hasło: </label></td>
                        <td><input type="password" name="repassword" id="repassword" required></td>
                    </tr>
                </table><br>
                <input type="submit" value="Zarejestruj" class="widesubmit">
            </form>
        </div>
    </div>
    
    
</body>
</html>