<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Kup bilet</title>
</head>
<body>
    <?php include("header.php");?>
    <?php 
        require_once("db.php");
        require_once("requirelogin.php");

        if(!isset($_POST['submit'])) die();

        $userid = $_SESSION['userid'];
        $screeningid = $_POST['screeningid'];

        foreach ($_POST as $key => $value) {
            if(!str_starts_with($key, 'seat_')) continue;
            if($value != 'on') continue;

            $seatid = substr($key, 5);

            $reserve_q = $conn->prepare("INSERT INTO `reservations` (`id`, `userid`, `screeningid`, `seatid`) VALUES (NULL, ?, ?, ?)");
            $reserve_q->bind_param('iii', $userid, $screeningid, $seatid);
            $reserve_q->execute();

            header("Location: /profile.php");
        }        
    ?>
</body>
</html>